# Class: TimerEvent

## Phaser. TimerEvent

A TimerEvent is a single event that is processed by a Phaser.Timer. It consists of a delay, which is a value in milliseconds after which the event will fire.

#### new TimerEvent(timer, delay, tick, repeatCount, loop, callback, callbackContext, arguments)

  A TimerEvent is a single event that is processed by a Phaser.Timer. It consists of a delay, which is a value in milliseconds after which the event will fire. It can call a specific callback, passing in optional parameters.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `timer` | Phaser.Timer | The Timer object that this TimerEvent belongs to.
  `delay` | number | The delay in ms at which this TimerEvent fires.
  `tick` | number | The tick is the next game clock time that this event will fire at.
  `repeatCount` | number | If this TimerEvent repeats it will do so this many times.
  `loop` | boolean | True if this TimerEvent loops, otherwise false.
  `callback` | function | The callback that will be called when the TimerEvent occurs.
  `callbackContext` | object | The context in which the callback will be called.
  `arguments` | array | The values to be passed to the callback.

  Source:
    - time/TimerEvent.js, line 23

### Members

#### args

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `arguments` | array | The values to be passed to the callback.

  Source:
    - time/TimerEvent.js, line 63

#### callback

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `callback` | function | The callback that will be called when the TimerEvent occurs.

  Source:
    - time/TimerEvent.js, line 53

#### callbackContext

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `callbackContext` | object | The context in which the callback will be called.

  Source:
    - time/TimerEvent.js, line 58

#### delay

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `delay` | number | The delay in ms at which this TimerEvent fires.

  Source:
    - time/TimerEvent.js, line 33

#### loop

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `loop` | boolean | True if this TimerEvent loops, otherwise false.

  Source:
    - time/TimerEvent.js, line 48

#### <protected> pendingDelete

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `pendingDelete` | boolean | A flag that controls if the TimerEvent is pending deletion.

  Source:
    - time/TimerEvent.js, line 69

#### repeatCount

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `repeatCount` | number | If this TimerEvent repeats it will do so this many times.

  Source:
    - time/TimerEvent.js, line 43

#### tick

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `tick` | number | The tick is the next game clock time that this event will fire at.

  Source:
    - time/TimerEvent.js, line 38

#### timer

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `timer` | Phaser.Timer | The Timer object that this TimerEvent belongs to.

  Source:
    - time/TimerEvent.js, line 28